/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2010 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  Jarre program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <jni.h>
/* Header for class jarre_midi_alsa_AlsaJNI */

#ifndef _Included_jarre_midi_alsa_AlsaJNI
#define _Included_jarre_midi_alsa_AlsaJNI
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    open_client
 * Signature: (Ljava/lang/String;Z)J
 */
JNIEXPORT jlong JNICALL Java_jarre_midi_alsa_AlsaJNI_open_1client
  (JNIEnv *, jclass, jstring, jboolean);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    close_client
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_close_1client
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    new_info
 * Signature: ()J
 */
JNIEXPORT jlong JNICALL Java_jarre_midi_alsa_AlsaJNI_new_1info
  (JNIEnv *, jclass);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    free_info
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_free_1info
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    query_next_client
 * Signature: (JJ)I
 */
JNIEXPORT jint JNICALL Java_jarre_midi_alsa_AlsaJNI_query_1next_1client
  (JNIEnv *, jclass, jlong, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    info_get_name
 * Signature: (J)Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_jarre_midi_alsa_AlsaJNI_info_1get_1name
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    info_get_id
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_jarre_midi_alsa_AlsaJNI_info_1get_1id
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    new_port_info
 * Signature: (J)J
 */
JNIEXPORT jlong JNICALL Java_jarre_midi_alsa_AlsaJNI_new_1port_1info
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    free_port_info
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_free_1port_1info
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    query_next_port
 * Signature: (JJ)I
 */
JNIEXPORT jint JNICALL Java_jarre_midi_alsa_AlsaJNI_query_1next_1port
  (JNIEnv *, jclass, jlong, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    port_get_name
 * Signature: (J)Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_jarre_midi_alsa_AlsaJNI_port_1get_1name
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    port_can_write
 * Signature: (J)Z
 */
JNIEXPORT jboolean JNICALL Java_jarre_midi_alsa_AlsaJNI_port_1can_1write
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    port_can_read
 * Signature: (J)Z
 */
JNIEXPORT jboolean JNICALL Java_jarre_midi_alsa_AlsaJNI_port_1can_1read
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    port_get_id
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_jarre_midi_alsa_AlsaJNI_port_1get_1id
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    connect_port_to
 * Signature: (JIII)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_connect_1port_1to
  (JNIEnv *, jclass, jlong, jint, jint, jint);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    disconnect_port_to
 * Signature: (JIII)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_disconnect_1port_1to
  (JNIEnv *, jclass, jlong, jint, jint, jint);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    connect_port_from
 * Signature: (JIII)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_connect_1port_1from
  (JNIEnv *, jclass, jlong, jint, jint, jint);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    disconnect_port_from
 * Signature: (JIII)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_disconnect_1port_1from
  (JNIEnv *, jclass, jlong, jint, jint, jint);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    send_note_on
 * Signature: (JIIIII)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_send_1note_1on
  (JNIEnv *, jclass, jlong, jint, jint, jint, jint, jint);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    send_note_off
 * Signature: (JIIIII)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_send_1note_1off
  (JNIEnv *, jclass, jlong, jint, jint, jint, jint, jint);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    send_program_change
 * Signature: (JIIII)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_send_1program_1change
  (JNIEnv *, jclass, jlong, jint, jint, jint, jint);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    send_controller
 * Signature: (JIIIII)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_send_1controller
  (JNIEnv *, jclass, jlong, jint, jint, jint, jint, jint);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    send_pitchbend
 * Signature: (JIIII)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_send_1pitchbend
  (JNIEnv *, jclass, jlong, jint, jint, jint, jint);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    send_chanpress
 * Signature: (JIIII)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_send_1chanpress
  (JNIEnv *, jclass, jlong, jint, jint, jint, jint);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    event_pending
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_jarre_midi_alsa_AlsaJNI_event_1pending
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    retrieve_event
 * Signature: (J)J
 */
JNIEXPORT jlong JNICALL Java_jarre_midi_alsa_AlsaJNI_retrieve_1event
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    free_event
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_jarre_midi_alsa_AlsaJNI_free_1event
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    event_get_type
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_jarre_midi_alsa_AlsaJNI_event_1get_1type
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    event_get_channel
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_jarre_midi_alsa_AlsaJNI_event_1get_1channel
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    event_get_data1
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_jarre_midi_alsa_AlsaJNI_event_1get_1data1
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_midi_alsa_AlsaJNI
 * Method:    event_get_data2
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_jarre_midi_alsa_AlsaJNI_event_1get_1data2
  (JNIEnv *, jclass, jlong);

#ifdef __cplusplus
}
#endif
#endif
