/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2010 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  Jarre program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <jni.h>
/* Header for class jarre_widgets_internal_GtkJNI */

#ifndef _Included_jarre_widgets_internal_GtkJNI
#define _Included_jarre_widgets_internal_GtkJNI

#ifdef __cplusplus
extern "C" {
#endif

#undef jarre_widgets_internal_GtkJNI_GTK_TEXT_DIR_NONE
#define jarre_widgets_internal_GtkJNI_GTK_TEXT_DIR_NONE 0L
#undef jarre_widgets_internal_GtkJNI_GTK_STATE_NORMAL
#define jarre_widgets_internal_GtkJNI_GTK_STATE_NORMAL 0L
#undef jarre_widgets_internal_GtkJNI_GTK_ICON_SIZE_SMALL_TOOLBAR
#define jarre_widgets_internal_GtkJNI_GTK_ICON_SIZE_SMALL_TOOLBAR 2L

/*
 * Class:     jarre_widgets_internal_GtkJNI
 * Method:    widget_get_default_style
 * Signature: ()J
 */
JNIEXPORT jlong JNICALL Java_jarre_widgets_internal_GtkJNI_widget_1get_1default_1style
  (JNIEnv *, jclass);

/*
 * Class:     jarre_widgets_internal_GtkJNI
 * Method:    icon_factory_lookup_default
 * Signature: (Ljava/lang/String;)J
 */
JNIEXPORT jlong JNICALL Java_jarre_widgets_internal_GtkJNI_icon_1factory_1lookup_1default
  (JNIEnv *, jclass, jstring);

/*
 * Class:     jarre_widgets_internal_GtkJNI
 * Method:    icon_set_render_icon
 * Signature: (JJIIIJLjava/lang/String;)J
 */
JNIEXPORT jlong JNICALL Java_jarre_widgets_internal_GtkJNI_icon_1set_1render_1icon
  (JNIEnv *, jclass, jlong, jlong, jint, jint, jint, jlong, jstring);

/*
 * Class:     jarre_widgets_internal_GtkJNI
 * Method:    pixbuf_get_width
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_jarre_widgets_internal_GtkJNI_pixbuf_1get_1width
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_widgets_internal_GtkJNI
 * Method:    pixbuf_get_height
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_jarre_widgets_internal_GtkJNI_pixbuf_1get_1height
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_widgets_internal_GtkJNI
 * Method:    pixbuf_get_rowstride
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_jarre_widgets_internal_GtkJNI_pixbuf_1get_1rowstride
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_widgets_internal_GtkJNI
 * Method:    pixbuf_get_has_alpha
 * Signature: (J)Z
 */
JNIEXPORT jboolean JNICALL Java_jarre_widgets_internal_GtkJNI_pixbuf_1get_1has_1alpha
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_widgets_internal_GtkJNI
 * Method:    pixbuf_get_pixels
 * Signature: (J)[B
 */
JNIEXPORT jbyteArray JNICALL Java_jarre_widgets_internal_GtkJNI_pixbuf_1get_1pixels
  (JNIEnv *, jclass, jlong);

/*
 * Class:     jarre_widgets_internal_GtkJNI
 * Method:    object_unref
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_jarre_widgets_internal_GtkJNI_object_1unref
  (JNIEnv *, jclass, jlong);

#ifdef __cplusplus
}
#endif

#endif
