/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2010 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  Jarre program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jarre.midi.alsa;

interface AlsaEventType {
    int NOTE  = 5;
    int NOTEON = 6;
    int NOTEOFF = 7;
    int KEYPRESS = 8;
    int CONTROLLER = 10;
    int PGMCHANGE = 11;
    int CHANPRESS = 12;
    int PITCHBEND = 13;
    int CONTROL14 = 14;
    int NONREGPARAM = 15;
    int REGPARAM = 16;
    int SONGPOS = 20;
    int SONGSEL = 21;
    int QFRAME = 22;
    int TIMESIGN = 23;
    int KEYSIGN = 24;
    int START = 30;
    int CONTINUE = 31;
    int STOP = 32;
    int SETPOS_TICK = 33;
    int SETPOS_TIME = 34;
    int TEMPO = 35;
    int CLOCK = 36;
    int TICK = 37;
    int QUEUE_SKEW = 38;
    int SYNC_POS = 39;
    int TUNE_REQUEST = 40;
    int RESET = 41;
    int SENSING = 42;
    int ECHO = 50;
    int OSS = 51;
    int CLIENT_START = 60;
    int CLIENT_EXIT = 61;
    int CLIENT_CHANGE = 62;
    int PORT_START = 63;
    int PORT_EXIT = 64;
    int PORT_CHANGE = 65;
    int PORT_SUBSCRIBED = 66;
    int PORT_UNSUBSCRIBED = 67;
    int USR0 = 90;
    int USR1 = 91;
    int USR2 = 92;
    int USR3 = 93;
    int USR4 = 94;
    int USR5 = 95;
    int USR6 = 96;
    int USR7 = 97;
    int USR8 = 98;
    int USR9 = 99;
    int SYSEX = 130;
    int BOUNCE = 131;
    int USR_VAR0 = 135;
    int USR_VAR1 = 136;
    int USR_VAR2 = 137;
    int USR_VAR3 = 138;
    int USR_VAR4 = 139;
    int NONE = 255; 
}
