/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2010 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  Jarre program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jarre.midi.alsa;

public class AlsaJNI {
    native public static long    open_client          (String clientName, boolean openPort); //returns handle
    native public static void    close_client         (long handle);

    native public static long    new_info             (); // returns info handle
    native public static void    free_info            (long info);
    native public static int     query_next_client    (long handle, long info); // returns error
    native public static String  info_get_name        (long info);
    native public static int     info_get_id          (long info);

    native public static long    new_port_info        (long info); // returns info handle
    native public static void    free_port_info       (long port_info);
    native public static int     query_next_port      (long handle, long port_info); // returns error
    native public static String  port_get_name        (long port_info);
    native public static boolean port_can_write       (long port_info);
    native public static boolean port_can_read        (long port_info);
    native public static int     port_get_id          (long port_info);
    native public static void    connect_port_to      (long handle, int port, int dest_addr, int dest_port);
    native public static void    disconnect_port_to   (long handle, int port, int dest_addr, int dest_port);
    native public static void    connect_port_from    (long handle, int port, int src_addr, int src_port);
    native public static void    disconnect_port_from (long handle, int port, int src_addr, int src_port);

    native public static void    send_note_on         (long handle, int dest_addr, int dest_port, int channel, int note, int velocity);
    native public static void    send_note_off        (long handle, int dest_addr, int dest_port, int channel, int note, int velocity);
    native public static void    send_program_change  (long handle, int dest_addr, int dest_port, int channel, int value);
    native public static void    send_controller      (long handle, int dest_addr, int dest_port, int channel, int param, int value);
    native public static void    send_pitchbend       (long handle, int dest_addr, int dest_port, int channel, int value);
    native public static void    send_chanpress       (long handle, int dest_addr, int dest_port, int channel, int value);
    
    native public static int     event_pending        (long handle);
    native public static long    retrieve_event       (long handle);
    native public static void    free_event           (long event);
    native public static int     event_get_type       (long event);
    native public static int     event_get_channel    (long event);
    native public static int     event_get_data1      (long event);
    native public static int     event_get_data2      (long event);
}
