/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2010 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  Jarre program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jarre.midi.alsa;

public class AlsaTest {
    public static void main(String[] args) {
	long handle = AlsaJNI.open_client("Jarre", false);
	long info = AlsaJNI.new_info();
	
	while (AlsaJNI.query_next_client(handle, info) >= 0) {
	    System.out.println("Client: " + AlsaJNI.info_get_name(info));
	    long port_info = AlsaJNI.new_port_info(info);
	    while (AlsaJNI.query_next_port(handle, port_info) >= 0) {
		System.out.println("Port: " + AlsaJNI.port_get_name(port_info));
		System.out.println("   r: " + AlsaJNI.port_can_read(port_info));
		System.out.println("   w: " + AlsaJNI.port_can_write(port_info));
	    }
	    AlsaJNI.free_port_info(port_info);
	}

	AlsaJNI.free_info(info);
	AlsaJNI.close_client(handle);
    }
}
