package jarre.midi.event;

import jarre.midi.MySequence;

import javax.sound.midi.InvalidMidiDataException;
import javax.sound.midi.ShortMessage;

public abstract class NoteMessageEvent extends MidiMessageEvent {
    public NoteMessageEvent(MySequence sequence, ShortMessage midiMessage, int trackNum, int tick) {
	super(sequence, midiMessage, trackNum, tick);
	note = midiMessage.getData1();
    }
    @Override public void setMidiMessage(ShortMessage midiMessage) {
	super.setMidiMessage(midiMessage);
	note = midiMessage.getData1();
    }
    public int getNote() {
        return note;
    }
    public void setNote(int note) {
        this.note = note;
        setMidiMessage(changeNote(getMidiMessage(), note));
    }
    public int getChannel() {
	return getMidiMessage().getChannel();
    }
    protected ShortMessage changeNote(ShortMessage midiMessage, int note) {
	ShortMessage newMessage = new ShortMessage();
	try {
	    newMessage.setMessage(midiMessage.getCommand(),
	    	                  midiMessage.getChannel(),
	    	                  note,
	    	                  midiMessage.getData2()
	    	);
	} catch (InvalidMidiDataException e) {
	    throw new RuntimeException(e);
	}
	return newMessage;
    }
    private int note;
}
