/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2009 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jarre.widgets;

import jarre.Jarre;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.widgets.Shell;

public class ColorMenu extends WidgetMenu {
    public ColorMenu(Shell shell) {
	super(shell);
	for (RGB c: Jarre.colors) addColorItem(new Color(shell.getDisplay(), c));
    }
    public void addColorItem(Color color) {
	ColorWidget widget = new ColorWidget(getShell(), SWT.NONE);
	widget.setColor(color);
	addWidgetItem(widget);
    }
    public Color getSelectedColor() {
	return ((ColorWidget)getSelected()).getColor();
    }
}
