/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2010 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  Jarre program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jarre.widgets.internal;

import java.io.File;

public class GtkJNI {
    public static final int GTK_TEXT_DIR_NONE = 0;
    public static final int GTK_STATE_NORMAL = 0;
    public static final int GTK_ICON_SIZE_SMALL_TOOLBAR = 2;
    
    static {
	String LIBNAME = "jarre-gtkjni-"; 
	String arch = System.getProperty("sun.arch.data.model");
	if (arch == null) System.getProperty("com.ibm.vm.bitmode");
	if (arch.equals("32")) arch = "i686";
	else if (arch.equals("64")) arch = "x86_64";
	File file = new File("native/lib" + LIBNAME + arch + ".so");
	if (file.exists())
	    System.loadLibrary(LIBNAME + arch);
    }
    native public static long    widget_get_default_style    (); // returns style pointer
    
    native public static long    icon_factory_lookup_default (String name); // returns iconset pointer
    native public static long    icon_set_render_icon        (long icon_set, long style, int direction, int state, int size, long widget, String detail); // returns pixbuf pointer
    
    native public static int     pixbuf_get_width            (long pixbuf);
    native public static int     pixbuf_get_height           (long pixbuf);
    native public static int     pixbuf_get_rowstride        (long pixbuf);
    native public static boolean pixbuf_get_has_alpha        (long pixbuf);
    native public static byte[]  pixbuf_get_pixels           (long pixbuf);
    
    native public static void    object_unref                (long pixbuf);
}
