/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2009 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jarre.widgets.internal;

import jarre.widgets.common.ILayoutFunctions;
import jarre.widgets.common.IProgressBar;
import jarre.widgets.utils.Utils;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Listener;
import org.eclipse.swt.widgets.Scale;

public class SWTScale extends Composite implements IProgressBar, ILayoutFunctions {
    private Scale progressBar;
    public SWTScale(Composite parent, int style) {
	super(parent, SWT.NONE);
	setLayout(new FillLayout());
	progressBar = new Scale(this, style);
	Utils.disableFocus(progressBar);
    }
    @Override public void setEnabled(boolean enabled) {
	progressBar.setEnabled(enabled);
    }
    @Override public int getMaximum() {
	return progressBar.getMaximum();
    }
    @Override public int getMinimum() {
	return progressBar.getMinimum();
    }
    @Override public int getPageIncrement() {
	return progressBar.getPageIncrement();
    }
    @Override public void setMaximum(int maximum) {
	progressBar.setMaximum(maximum);
    }
    @Override public void setMinimum(int minimum) {
	progressBar.setMaximum(minimum);
    }
    @Override public void setPageIncrement(int increment) {
	progressBar.setPageIncrement(increment);
    }
    @Override public void setSelection(int value) {
	progressBar.setSelection(value);
    }
    @Override public int getSelection() {
	return progressBar.getSelection();
    }
    @Override public void addSelectionListener(Listener listener) {
	progressBar.addListener(SWT.Selection, listener);
    }
}
