/*
 *	Programmer:	Piotr Borek
 *	E-mail:		piotrborek@op.pl
 *	Copyright 2010  Piotr Borek
 *
 *	Distributed under the terms of the GPL (GNU Public License)
 *
 *   Jarre is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jarre.widgets.utils;

import jarre.widgets.common.IImageFactory;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Image;

@SuppressWarnings("unchecked")
public class ImageFactory {
    private static IImageFactory imageFactory = null;
    static {
	if (SWT.getPlatform().equals("gtk")) {
	    try {
		Class<IImageFactory> clazz = (Class<IImageFactory>) ImageFactory.class.getClassLoader().loadClass("jarre.widgets.internal.GTKImageFactory");
		imageFactory = clazz.newInstance();
	    } catch (ClassNotFoundException e) {
		throw new RuntimeException("Class not found");
	    } catch (InstantiationException e) {
		throw new RuntimeException(e);
	    } catch (IllegalAccessException e) {
		throw new RuntimeException(e);
	    }
	} else {
	    try {
		Class<IImageFactory> clazz = (Class<IImageFactory>) ImageFactory.class.getClassLoader().loadClass("jarre.widgets.internal.BuiltinImageFactory");
		imageFactory = clazz.newInstance();
	    } catch (ClassNotFoundException e) {
		throw new RuntimeException("Class not found");
	    } catch (InstantiationException e) {
		throw new RuntimeException(e);
	    } catch (IllegalAccessException e) {
		throw new RuntimeException(e);
	    }
	}
    }
    public static Image createImage(String name) {
	return imageFactory.createImage(name);
    }
}
